#include <iostream>

using namespace std;

int main()
{
    int n,m;
    cin>>n>>m;
    int d[n],g[n],l[m],r[m],x[m],o[m];
    for(int i=0;i<n;i++)
       cin>>d[i]>>g[i];
    for(int i=0;i<m;i++){
       cin>>l[i]>>r[i]>>x[i];
       o[i]=0;}
    for(int i=0;i<m;i++)
       for(int j=l[i]-1;j<=r[i]-1;j++)
          if(d[j]<=x[i] && g[j]>=x[i])
             o[i]++;
    for(int i=0;i<m;i++)
       cout<<o[i]<<endl;



    return 0;
}